Package org.eclipse.mat.ui.internal

# Class Perspective

java.lang.Object
org.eclipse.mat.ui.internal.Perspective

All Implemented Interfaces:
  `IPerspectiveFactory`

public class Perspective extends Object implements IPerspectiveFactory

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`Perspective.Views`

## Constructor Summary

Constructors
Constructor
Description
`Perspective()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createInitialLayout(IPageLayout layout)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Perspective

public Perspective()

## Method Details

### createInitialLayout

public void createInitialLayout(IPageLayout layout)

Specified by:
  `createInitialLayout` in interface `IPerspectiveFactory`